package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderShareFlagEnum {

    ING("ING","结算中"),
    OVER("OVER","已结算"),
    EXCEPTION("EXCEPTION","异常结算"),
    CANCEL("CANCEL","已取消"),
    OFFLINE("OFFLINE","线下结算"),
    ;


    @JsonValue
    @EnumValue
    private final String key;
    private final String value;



}